<?php

/**
 * Copyright (c) 2023
 * author: Leonid Nikitin - i@kor-elf.net
 * web: https://git.kor-elf.net/kor-elf
 * Initial version created on: 02.12.2023
 * MIT license: https://git.kor-elf.net/kor-elf/captcha-rule-for-laravel/src/branch/main/LICENSE.md
 */

return [
    /*
     * Указываем адрес к сервису для проверки от робота.
     * Примеры: http://captcha.localhost:9008, https://captcha.localhost, http://captcha.localhost
     */
    'api_domain' => env('CAPTCHA_API_DOMAIN'),

    /*
     * Приватный токен для проверки получаемого ключа после успешной проверки от бота.
     */
    'api_private_token' => env('CAPTCHA_PRIVATE_TOKEN'),

    /*
     * Curl timeout в секундах.
     */
    'curl_timeout' => (int) env('CAPTCHA_CURL_TIMEOUT', 10),

    /*
     * Включает Blade::directive "captcha".
     */
    'enable_blade_captcha' => (bool) env('CAPTCHA_ENABLE_BLADE_CAPTCHA', true),

    /*
     * Публичный токен для начало проверки я не робот.
     */
    'api_public_token' => env('CAPTCHA_PUBLIC_TOKEN'),

    /**
     * Указываем путь к статике, на данный момент это к стилям.
     * Примеры: /captcha, https://captcha.localhost/captcha
     */
    'static_path' => env('CAPTCHA_STATIC_PATH', env('CAPTCHA_API_DOMAIN') . '/captcha'),

    /*
     * Используется в переводах.
     */
    'error_message_key' => 'validation.captcha',

    /*
     * Имя Validator::extendImplicit.
     */
    'rule_name' => 'captcha',

    /*
     * Name в input после успешной проверки.
     */
    'captcha_verified_name' => 'captcha-verified',
];
