<?php declare(strict_types=1);

namespace korElf\CaptchaRuleForLaravel;

use Illuminate\Support\Facades\Http;

final readonly class CaptchaService
{
    public function __construct(
        private string $privateToken,
        private string $domainApi,
        private int $curlTimeout = 10,
    ) { }

    public function validate(string $token, ?string $userAgent = null): bool
    {
        try {
            $post = [];
            if (!is_null($userAgent)) {
                $post['user_agent'] = $userAgent;
            }

            $response = Http::withHeaders([
                'private-token' => $this->privateToken,
            ])
                ->timeout($this->curlTimeout)
                ->post($this->domainApi . '/api/v1/captcha/' . $token, $post);

            return ($response->json('status') === true);
        } catch (\Throwable $e) {

        }
        return false;
    }
}